Subject: bug#302 acknowledged by developer (Re: elogind: doesn't seem to be updating lastlog)

From: [email-masked] (Devuan bug Tracking System)

This is an automatic notification regarding your bug report
#302: elogind: doesn't seem to be updating lastlog,
which was filed against the elogind package.

It has been closed by one of the developers, namely
Mark Hindley <[email-masked]>.

Their explanation is attached below.  If this explanation is
unsatisfactory and you have not received a better one in a separate
message then please contact the developer, by replying to this email.

Devuan Bugs Owner
(administrator, Devuan bugs database)

Date: Wed, 17 Apr 2019 11:27:08 +0100
From: Mark Hindley <[email-masked]>
To: Dimitris <[email-masked]>
Cc: [email-masked]
Subject: Re: elogind: doesn't seem to be updating lastlog

On Fri, Mar 08, 2019 at 10:32:02PM +0200, Dimitris wrote:
> On 3/8/19 5:53 PM, Mark Hindley wrote:
> > I have also been struggling to work out where the user login on :0 (above) comes
> > from. With the default install could only reproduce logins on ptys. I eventually
> > managed to do it by adding pam_lastlog.so to the display manager PAM stack in
> > /etc/pam.d/{slim,lightdm}
> > 
> > Had you customised that and it was overwritten in the upgrade at the end of January?
> > 
> 
> no i haven't customised anything in pam.d. not in this install at least.
> not sure either about this login on :0, you're right, it shouldn't be
> there. lastlog should only report tty logins. puzzled about that entry
> too now.
> not having around logs from that time is not helpful, i know..
> 
> anyway, not really sure if this is a bug here. during that period
> (dec-jan) i was testing different scenarios & various DEs, something
> could have triggered that..
> so, feel free to proceed (close?) as you like...

Dimitris,

I don't think there is an elogind bug here. I think it is down the the display
manager (slim, lightdm etc) to register logins in lastlog and utmp.

AFAIK lightdm does this already and I have a patch for slim to implement it (see
#301)

So closing, as you suggest.

Thanks

Mark